import { sessionStorageUtil } from '@/utils/storage'
import { AllEnums } from "@/services/go/commonService/interface"

/**
 * 获取所有枚举
 * @returns 
 */
export function getAllEnum(): AllEnums[] {
    return sessionStorageUtil.getItem('allEnums') ?? [];
}

/**
 * 根据枚举code获取枚举列表
 * @param code 
 * @returns 
 */
export function getEnumTypeList(code: string) {
    return getAllEnum().filter((e) => e.enumdiccode.toLowerCase() === code.toLowerCase() && e.enumitemstatus === 1);
}

/**
 * 根据枚举值获取枚举名称
 * @param enums 
 * @param value 
 * @returns 
 */
export function getEnumTypeName(enums: AllEnums[], value: number) {
    const item = enums.find((e) => e.enumitemname === value);
    if (item) {
        return item.enumdicname;
    }
    return '--';
}